<h2 mat-dialog-title>Alert!</h2>
<mat-divider></mat-divider>
<form [formGroup]="deleteFormGroup">
  <div mat-dialog-content>
    <p>Please note that upon delete this placement will be deleted permanently and previous placement will be made latest!</p>
    <div fxLayout="column" fxLayoutGap="5px" class="delete-placement-form">
      <div fxLayout="row" fxLayout.lt-sm="column">
        <mat-label>Comments: </mat-label>
        <mat-form-field appearance="outline">
          <textarea matInput formControlName="commentCtrl" placeholder="What is the reason of deleting this Placement?" rows="3"></textarea>
          <mat-error *ngIf="deleteFormGroup.get('commentCtrl').invalid">Comment is mandatory.</mat-error>
        </mat-form-field>
      </div>
    </div>

  </div>
  <mat-divider></mat-divider>
  <div mat-dialog-actions>
    <span class="idle-button" style="width: 300px;" fxFlex="wrap" fxLayoutGap="10px" fxLayoutAlign="end">
      <button type="button" mat-raised-button color="primary" [disabled]="!deleteFormGroup.valid" (click)="onOKClick()" cdkFocusInitial>OK</button>
      <button type="button" mat-raised-button color="primary" (click)="onCancelClick()">Cancel</button>
    </span>

  </div>
</form>
